#include <PalmOS.h>
#include <CatooCraft/FrmHelper.h>
#include "MileageRsc.h"
#include "Mileage.h"
#include "Database.h"
#include "DeleteRecordForm.h"

using namespace CatooCraftLibrary;

UInt16 DeleteRecordForm::DoModal() {
   Database *db = Mileage::GetDatabase();
   if (db->isNew()) {
	  db->deleteRecord();
	  return IdOKButton;
   }

   FormPtr frm = ::FrmInitForm(IdDeleteRecordForm);
   Boolean prevValue = db->isArchive();
   Frm::SetValue(frm, IdSaveBackupCheckbox, prevValue);
   UInt16 hitButton = ::FrmDoDialog(frm);
   if (hitButton == IdOKButton) {
	  db->setArchiveFlag(Frm::GetValue(frm, IdSaveBackupCheckbox));
	  db->deleteRecord();
   }
   ::FrmDeleteForm(frm);
   return hitButton;
}
