#ifndef __MILEAGE_H__
#define __MILEAGE_H__

#include <PalmOS.h>
#include "MileageRsc.h"
#include "Database.h"
#include "VendorHistory.h"

class Mileage
{
   private:
	  static Database _Db;
	  static VendorHistory _History;

	  static Boolean HandleEvent(EventPtr e);

   public:
	  static Database* GetDatabase() {
		 return &_Db;
	  }
	  static VendorHistory* GetHistory() {
		 return &_History;
	  }
	  static void Start(void);
	  static void Stop(void);
	  static void EventLoop(void);
};

extern "C" {
   UInt32 PilotMain(UInt16 cmd, void *cmdPBP, UInt16 launchFlags);
}

#endif __MILEAGE_H__
