#ifndef __RECORD_FORM_H__
#define __RECORD_FORM_H__

#include <PalmOS.h>
#include "MileageRsc.h"
#include "Mileage.h"
#include "Record.h"

class RecordForm {
   private:
	  static Record _Record;

	  static void DrawListLine(Int16 itemNum, RectangleType *bounds, Char **itemsText);
	  static void DrawDistance(FormPtr frm, UInt32 distance);
	  static void UpdateForm();
	  static void Open();
	  static void Apply();
	  static void Save();
	  static Boolean HandleCtlSelectEvent(EventPtr e);

   public:
	  static Boolean HandleEvent(EventPtr e);
};

#endif __RECORD_FORM_H__
