#ifndef __RECORD_TEST_H__
#define __RECORD_TEST_H__

#include <PalmOS.h>
#include <TestCase.h>
#include "Record.h"

class RecordTest : public TestCase
{
	  UInt32 _freeBytes;

	  void setupRecord(Record &r);
	  void assertEqualsRecord(Record &expected, Record &actual);

   public:
	  RecordTest(char * name) : TestCase(name){};
	  Test* suite();
	  void setUp();
	  void tearDown();

	  void testSetterGetter();
	  void testPackUnpack();
	  void testCalculation();
};

#endif __RECORD_TEST_H__
