#ifndef __VENDOR_HISTORY_H__
#define __VENDOR_HISTORY_H__

#include <PalmOS.h>

class VendorHistory
{
   private:
	  static Boolean _IsAutoComplete;
	  Int16 _count;
	  UInt32 _uniqueIds[10];
	  Char *_names[10];

	  Int16 find(Char *vendor);

   public:
	  static void SetAutoCompleteFlag(Boolean isAutoComplete) {
		 _IsAutoComplete = isAutoComplete;
	  }
	  static Boolean IsAutoComplete() {
		 return _IsAutoComplete;
	  }
	  VendorHistory();
	  ~VendorHistory();
	  Int16 count() {
		 return _count;
	  }
	  void setup(Char* strings, Int16 count);
	  void push(Char *vendor, UInt32 uniqueId);
	  Char* operator[](Int16 i);
	  UInt32 getUniqueId(Int16 i);
	  Int16 size();
	  Char* pack(Char *strings);
};

#endif __VENDOR_HISTORY_H__
