#ifndef __PALM_UNIT_STOP_WATCH_H__
#define __PALM_UNIT_STOP_WATCH_H__

#include <PalmOS.h>

class PalmUnitStopWatch {
	  static UInt16	_tickPerSecond;
	  UInt32		_startTick;
	  UInt32		_stopTick;
	  Boolean		_started;

   protected:
	  UInt32 time () const { return _stopTick - _startTick; }

   public:
	  PalmUnitStopWatch() : _startTick(0), _stopTick(0), _started(false) {}
	  void startStop(UInt32 tick);
	  Char* elapsedTime();
};

#endif __PALM_UNIT_STOP_WATCH_H__

